namespace Crysome.Server.ViewModel;

public class ContextMenuFeatureItem : ViewModelBase
{
	private bool _isEnabled;

	public string Key { get; }

	public string DisplayName { get; }

	public bool IsEnabled
	{
		get
		{
			return _isEnabled;
		}
		set
		{
			_isEnabled = value;
			OnPropertyChanged("IsEnabled");
		}
	}

	public ContextMenuFeatureItem(string key, string displayName, bool isEnabled)
	{
		Key = key;
		DisplayName = displayName;
		_isEnabled = isEnabled;
	}
}
